#ifndef RADIOMAJAK_H
#define RADIOMAJAK_H
//-----------------

//#define SIMULACE //jestlize je aktivni tak jsou vznechany preruseni pro simulaci v simulatoru

#define VSTUP_Vbat  ADMUX=0b11000111		//vstup7	(3)
#define VSTUP_Vnula ADMUX=0b01000110		//vstup6	(2)
#define VSTUP_Vmer  ADMUX=0b11000100		//vstup4	(0)


#define TLAC0 (!(PIND&0b00000100))
#define TLAC1 (!(PIND&0b00001000))
#define TLAC2 (!(PIND&0b00000010))

#define PODSVIT_ON PORTD|=1<<7
#define PODSVIT_OFF PORTD&=~(1<<7)

#define AD_start ADCSRA|=(1<<ADSC)	//zapnuti ADC

#define MENU_POZ_DEFAULT 5	//defaultni pozice v menu

#define MAX_DAT 206

#define ADR_KALIB 10
#define CIVEK (5-1)

#define true -1
#define false 0


typedef struct KOEF{
//      civ    cit alg 
float a[CIVEK+1][6][2];
float b[CIVEK+1][6][2];
};



//-----------------
#endif
