.include <tn12def.inc>

.def nula=r16
.def reg=r17
.def vyst=r18
.def reg2=r19
.def cas1=r21
.def cas0=r20
.def vyst2=r22
.def pam=r23
.def pipani=r24
.def pipani8=r25

;.def ZL=r30
;.def ZH=r31

rjmp start	;skok na start

.org 3 ;preruseni od casovace 0
ldi reg,206
out TCNT0,reg

com vyst	;negace vystupu

mov reg,vyst
and reg,vyst2
andi reg,0B00000001
in reg2,PORTB
andi reg2,0B11111110
or reg,reg2
out PORTB,reg


mov reg,vyst2	;blikani ledky
andi reg,0B00000010
in reg2,PORTB
andi reg2,0B11111101
or reg,reg2
out PORTB,reg


clc			;vynulovani carry
ldi reg,1
ldi reg2,0
add cas0,reg
adc cas1,reg2

;-----------------------2Hz
brcc ne_preteceni 	;pokud nedojde k preteceni nic se nevykona
;com vyst2			;pokud dojde k preteceni tak tak zmena vyst2


dec pam
brne zacatek

in reg,PINB
andi reg,0b00000100
brne ne_tlac
dec pipani
brne ne_tlac2
ldi pipani,6
ne_tlac2:
out EEDR,pipani
ldi reg,0b00000100
out EECR,reg
ldi reg,0b00000010
out EECR,reg
rcall vynasob
out EEDR,pipani
ne_tlac:
ldi pam,16
mov ZL,pipani8
ldi ZH,2

zacatek:
lpm 
inc ZL
mov vyst2,r0


ldi cas1,255
ldi cas0,0
;-----------------------konec 2 Hz   136,53333333333ms (136,5335ms)
;vzdy po 136

ne_preteceni:



reti

vynasob:
mov reg,pipani
ldi pipani8,0
ldi reg2,16
opakuj:
add pipani8,reg2
dec reg
brne opakuj
sub pipani8,reg2

ret
 

start:
sei
ldi reg,0B00000011
out DDRB,reg	;Nastaveni pinu PB0 a PB1 na vystupni

ldi reg,0B00000100
out PORTB,reg	;Vynulovani portu

ldi vyst,0
ldi vyst2,0
ldi cas1,255


;ldi reg,0
;out EEAR,reg
;ldi reg,0b00000001
;out EECR,reg
;in reg,EEDR
;subi reg,255
;brne nic_nezap

;ldi reg,3
;out EEDR,reg
;ldi reg,0b00000100
;out EECR,reg
;ldi reg,0b00000010
;out EECR,reg
;nic_nezap:

ldi reg,0
out EEAR,reg
ldi reg,0b00000001
out EECR,reg

in pipani,EEDR
rcall vynasob
mov ZL,pipani8
ldi ZH,2
ldi pam,16




ldi reg,2
out TIMSK,reg	;zapne se preruseni

ldi reg,0B00000011
out TCCR0,reg	;nastavi se citac s preddelickou 64

opak:
rjmp opak

.org 0x100
.CSEG 


;Jeden byte se vysila 136,5333333ms (8bytu se vysila 1.0922666s a 16bytu se vysila 2,184533333s )
tabulka:
.dw 0x0000
.dw 0xffff
.dw 0x0000
.dw 0xffff
.dw 0x0000
.dw 0xffff
.dw 0x0000
.dw 0xffff

.dw 0x00ff
.dw 0x00ff
.dw 0x00ff
.dw 0x00ff
.dw 0x00ff
.dw 0x00ff
.dw 0x00ff
.dw 0x00ff

.dw 0x00ff
.dw 0x00ff
.dw 0x00ff
.dw 0x00ff
.dw 0xff00
.dw 0xff00
.dw 0xff00
.dw 0xff00

.dw 0x0000
.dw 0x0000
.dw 0xff00
.dw 0xff00
.dw 0x0000
.dw 0x0000
.dw 0xff00
.dw 0xff00


.dw 0xffff
.dw 0x0000
.dw 0xff00
.dw 0xff00
.dw 0xffff
.dw 0x0000
.dw 0xff00
.dw 0xff00

.dw 0xffff
.dw 0xffff
.dw 0xffff
.dw 0xffff
.dw 0xffff
.dw 0xffff
.dw 0xffff
.dw 0xffff



